Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 985492 - p11-kit: pthread_atfork handling
Summary: p11-kit: pthread_atfork handling
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: p11-kit
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 7.1
Assignee: Daiki Ueno
QA Contact: Hubert Kario
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-17 15:40 UTC by Florian Weimer
Modified: 2017-08-01 16:52 UTC (History)
2 users (show)

Fixed In Version: p11-kit-0.23.5-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 16:52:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 84567 None None None Never
Red Hat Product Errata RHEA-2017:1981 normal SHIPPED_LIVE p11-kit bug fix update 2017-08-01 17:58:17 UTC

Description Florian Weimer 2013-07-17 15:40:05 UTC
I'm not convinced that the pthread_atfork handling is correct.  The lock underlying p11_lock() needs to be acquired before the fork and released afterwards.  Otherwise, the reinitialization in the child process can fail if the a fork happens while the p11_lock has been taken by another thread.

Comment 2 Stef Walter 2013-07-17 16:47:08 UTC
pthread_atfork() is pretty much impossible to get correct. We simply try to do what the PKCS#11 spec says. But it's pretty bogus.

But I think this is too risky to fix in the stable branch. Unless you have objections I'll change to RHEL 7.1.

Comment 5 Stef Walter 2014-08-07 07:32:25 UTC
This needs work in Fedora before updating it in RHEL, bumping to RHEL 7.2

Comment 9 errata-xmlrpc 2017-08-01 16:52:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1981


Note You need to log in before you can comment on or make changes to this bug.